Opened 5 years ago

Closed 13 months ago

Last modified 13 months ago

#1595 closed Bug (fixed)

ICB: various minor questions/bugs (icbclv and icbstp)

Reported by: mathiot Owned by: mathiot
Priority: low Milestone:
Component: OCE Version: release-4.0
Severity: minor Keywords: ICB
Cc: mathiot

Description (last modified by nicolasmartin)

  • In case of calving point over land point (ie, bad calving file), if no isf cavity, the model runs without any trouble. However, if the model runs with isf cavity on (with the same tmask(:,:,1), i.e. same coastline/ice shelf edge), the model stop because some icb are grounded in a land point.

To avoid this, I suggest to mask the calving variable with tmask(:,:,1) in icbclv.F90 like this:

      zfact = ( (1000._wp)**3 / ( NINT(rday) * nyear_len(1) ) ) * 850._wp
      berg_grid%calving(:,:) = src_calving(:,:) * tmask_i(:,:) * zfact * tmask(:,:,1)

      ! Heat in units of W/m2, and mask (just in case)
      berg_grid%calving_hflx(:,:) = src_calving_hflx(:,:) * tmask_i(:,:) * tmask(:,:,1)

This modification leads to the same behavior with and without ice shelf cavity (ie, mask the calving file and run without any sanity check).

  • Is the hard coded 850._wp the same as the one defined in namelist_ref by the variable rn_rho_bergs?
  • In icbstp.F90: the rst_write is based on nn_stock. Should it be based on nstock or lrst_oce instead?

As I am not an ICB expert, I let people comment on it.

These points are also affected the trunk.

Commit History (5)

ChangesetAuthorTimeChangeLog
10726mathiot2019-02-27T16:06:35+01:00

changes related to bug fixes described in tickets #2228, #2229, #2238 and #1595 in NEMO 4.0

10715mathiot2019-02-22T16:17:56+01:00

delete branch_ticket1595 (ticket #1595)

10714mathiot2019-02-22T16:13:22+01:00

fix ticket #1595 included into the trunk

10710mathiot2019-02-21T12:22:22+01:00

branch and changes related to ticket #1595

9328davestorkey2018-02-15T18:01:10+01:00

Fix iceberg restarting to always be consistent with ocean/ice restarting. Ticket #2007 (also addresses one of Pierre's points in ticket #1595).

Change History (16)

comment:1 Changed 4 years ago by nicolasmartin

  • Keywords icebergs added; iceberg removed

comment:2 Changed 4 years ago by nicolasmartin

  • Keywords nemo_v3_6* added

comment:3 Changed 3 years ago by nemo

  • Keywords ICB nemo_v3_6_STABLE added; icebergs removed

comment:4 Changed 3 years ago by clevy

  • Owner changed from nemo to gm

comment:5 Changed 3 years ago by clevy

  • Cc mathiot added
  • Owner changed from gm to mathiot
  • Status changed from new to assigned

comment:6 Changed 3 years ago by nicolasmartin

  • Description modified (diff)

comment:7 Changed 2 years ago by nemo

  • Keywords release-3.6* added; nemo_v3_6* nemo_v3_6_STABLE removed

comment:8 Changed 2 years ago by nemo

  • Keywords release-3.6* removed

comment:9 Changed 2 years ago by davestorkey

In 9328:

Fix iceberg restarting to always be consistent with ocean/ice restarting.
Ticket #2007 (also addresses one of Pierre's points in ticket #1595).

comment:10 Changed 14 months ago by mathiot

  • Severity set to minor
  • Version changed from release-3.6 to release-4.0

won't be fix in version 3.6

comment:11 Changed 14 months ago by mathiot

In 10710:

branch and changes related to ticket #1595

comment:12 Changed 13 months ago by davestorkey

I've reviewed the code changes and the testing and it looks OK to me.

comment:13 Changed 13 months ago by mathiot

In 10714:

fix ticket #1595 included into the trunk

comment:14 Changed 13 months ago by mathiot

In 10715:

delete branch_ticket1595 (ticket #1595)

comment:15 Changed 13 months ago by mathiot

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:16 Changed 13 months ago by mathiot

In 10726:

changes related to bug fixes described in tickets #2228, #2229, #2238 and #1595 in NEMO 4.0

Note: See TracTickets for help on using tickets.